/* =========================
   GRID
========================= */

.mini-calendar-grid {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 8px;
  background-color: var(--dark-blue);
  border-radius: 10px;
  padding: 5px 5px 10px 5px;
}

.calendar-label {
  text-align: center;
  font-weight: bold;
  color: var(--light-gray);
  font-size: var(--grid-labels);
}

.calendar-day {
  aspect-ratio: 1;
  font-family: "Cal Sans";
  color: white;
  border-radius: 6px;
  background: rgba(255, 255, 255, 0.1);
  border: none;
  transition: transform 0.25s ease;
  font-size: var(--grid-labels);
}

.calendar-day-weekly {
  padding: 8px 0;
  font-family: "Cal Sans";
  color: white;
  border-radius: 6px;
  background: rgba(255, 255, 255, 0.1);
  border: none;
  transition: transform 0.25s ease;
}
.calendar-day:active {
  transform: scale(0.95);
}

.calendar-day.event {
  background: var(--orange);
  cursor: pointer;
}

.calendar-day:not(.event) {
  pointer-events: none;
}

.mini-calendar-container {
  display: flex;
  flex-direction: column;
  padding: 10px;
  background: #222;
  border-radius: 10px;
  width: max-content;
  height: max-content;
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 50;
  border: 2px solid rgba(255, 255, 255, 0.08);
}

@media (max-width: 980px) {
  .mini-calendar-container {
    display: none;
  }
}

@keyframes flash-orange-border {
  0% {
    box-shadow: 0 0 0 0 var(--orange);
  }
  50% {
    box-shadow: 0 0 0 3px var(--orange);
  }
  100% {
    box-shadow: 0 0 0 0 var(--orange);
  }
}

.highlight-flash {
  animation: flash-orange-border 0.8s ease-in-out;
}

.calendar-title {
  font-size: 20px;
  color: var(--orange);
  margin: 0;
}

.calendar-empty {
  background: rgba(255, 255, 255, 0.1);
  border-radius: 6px;
  pointer-events: none;
}

.calendar-subtitle-open {
  font-size: var(--modal-subtitle);
  color: var(--light-gray);
  margin-bottom: 10px;
  text-align: center;
}

.calendar-subtitle {
  font-size: var(--modal-subtitle);
  color: var(--light-gray);
  margin-bottom: 10px;
  text-align: start;
}

.calendar-month {
  color: var(--white);
  font-size: var(--grid-month);
  margin: 0;
  text-align: center;
}

.calendar-and-events {
  display: flex;
}

.week-calendar {
  display: flex;
  flex-direction: column;
  gap: 6px;
  max-width: 600px;
  margin: 0 0 10px 0;
  background-color: var(--event-card-bg);
  padding: 8px;
  border-radius: 10px;
}

.week-labels {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 8px;
}
.week-days {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 8px;
}

/* =========================
CALENDAR FIXED PHONE
========================= */

.calendar-grid-fixed {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 100;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* @media (min-width: 981px) {
  .calendar-grid-fixed {
    display: none !important;
  }
} */

#calendar-overlay .modal {
  width: max-content;
  height: max-content;
}

#calendar-btn {
  background-color: var(--dark-blue);
  width: max-content;
  height: max-content;
  padding: 5px;
  border-radius: 50%;
}

#calendar-btn .open-svg {
  width: 35px;
  height: 35px;
  color: var(--light-blue);
}

#calendar-btn.active {
  background-color: var(--orange);
}

#calendar-btn.active .open-svg {
  color: var(--white);
}
